#ifndef HIDEPROCESS_H_INCLUDED
#define HIDEPROCESS_H_INCLUDED

#include "stdhead.h"
#include "common.h"
#include "undocumented.h"
#include "CheckSignature.h"

PEPROCESS 
GetEProcessPtrFromListEntryPtr(
	PLIST_ENTRY pListEntry
	);

BOOLEAN
RequestHideProcess(
	PEPROCESS pEProcess,
	PIRP pIrp
	);

BOOLEAN
ConfirmHideProcess(
	PIRP pIrp
	);

BOOLEAN
ExecuteHideProcess(
	PEPROCESS pEProcess
	);

void
HideProcessPendIrpCancel(
	PDEVICE_OBJECT pDeviceObject,
	PIRP pIrp
	);

extern PIRP HideProcessPendingIrpArray[MAXIMUM_PENDING_HIDE_REQUEST];

extern KSPIN_LOCK HideProcessPendingIrpArrayAccess;


#endif //HIDEPROCESS_H_INCLUDED