#include "CCriticalSection.h"

CCriticalSection::CCriticalSection(void)
{
	InitializeCriticalSection(CCriticalSection::GetObjectPtr());
}

CCriticalSection::~CCriticalSection(void)
{
	DeleteCriticalSection(CCriticalSection::GetObjectPtr());
}

void CCriticalSection::Enter(void)
{
	EnterCriticalSection(CCriticalSection::GetObjectPtr());
}

void CCriticalSection::Leave(void)
{
	LeaveCriticalSection(CCriticalSection::GetObjectPtr());
}

BOOL CCriticalSection::TryEnter(void)
{
	return TryEnterCriticalSection(CCriticalSection::GetObjectPtr());
}