#ifndef CEVENT_H
#define CEVENT_H

#include <Windows.h>
#include <tchar.h>
#include <strsafe.h>
#include "CWaitable.h"

typedef class CEvent : public CWaitable
{
public:
	CEvent(void);
	CEvent(BOOL,BOOL,TCHAR*);
	~CEvent(void);
	BOOL Create(BOOL, BOOL, TCHAR*);
	BOOL Destroy(void);
	DWORD Wait(void);
	DWORD WaitTimeout(DWORD);
	HANDLE GetObject(void);
	BOOL SetEvent(void);
private: 
	void SetObject(HANDLE);
	BOOL IsValid(void);
	HANDLE Object;
} CEVENT,*PCEVENT;

#endif //CEVENT_H