#ifndef COMMON_H_INCLUDED
#define COMMON_H_INCLUDED

#define IOCTL_TESTDRIVER_HIDE_PROCESS CTL_CODE(FILE_DEVICE_UNKNOWN, 0x801, METHOD_NEITHER, FILE_READ_ACCESS | FILE_WRITE_ACCESS)
#define IOCTL_TESTDRIVER_PENDING_USERMODE_REQUEST CTL_CODE(FILE_DEVICE_UNKNOWN, 0x802, METHOD_BUFFERED, FILE_READ_ACCESS | FILE_WRITE_ACCESS)
#define IOCTL_TESTDRIVER_HIDE_PROCESS_ACK CTL_CODE(FILE_DEVICE_UNKNOWN, 0x803, METHOD_BUFFERED, FILE_READ_ACCESS | FILE_WRITE_ACCESS)

#define MAXIMUM_PENDING_HIDE_REQUEST 32

//
//used in HideProcess and CheckSignature for
//Hide Process Irp Tail.Overlay.DriverContext
//to identify the elements in the array
//we can have at most 4 elements
//
#define IRP_DRIVER_CONTEXT_EPROCESS 0
#define IRP_DRIVER_CONTEXT_HANDLE 1

#define HANDLE_ITEM 0
#define RESPONSE_ITEM 1

DRIVER_INITIALIZE DriverEntry;

__drv_dispatchType(IRP_MJ_DEVICE_CONTROL)
	DRIVER_DISPATCH 
	TestDriverDeviceControl;

__drv_dispatchType(IRP_MJ_CLEANUP)
	DRIVER_DISPATCH
	TestDriverCleanup;

__drv_dispatchType(IRP_MJ_CREATE)
	DRIVER_DISPATCH
	TestDriverCreate;

DRIVER_UNLOAD TestDriverUnload;

DRIVER_CANCEL WinVerifyTrustPendIrpCancel;

#endif //COMMON_H_INCLUDED