#ifndef WINTRUSTPROXYSVC_H
#define WINTRUSTPROXYSVC_H

#include "WinTrustProxySvcCommonWinHeader.h"
#include "WinTrustProxySvcCommonHeader.h"
#include "WinTrustProxySvcStringHelp.h"
#include "WinTrustProxySvcCheckSignature.h"
#include "CCriticalSection.h"
#include "CEvent.h"
#include "CThread.h"

#define SHUTDOWN_EVENT 0
#define IO_EVENT 1

#define HANDLE_ITEM 0
#define RESPONSE_ITEM 1

VOID 
WINAPI
WinTrustProxySvc(
  DWORD dwArgc,
  LPTSTR *lpszArgv
);

VOID 
WINAPI 
WinTrustProxySvcCtrlHandler( 
	DWORD dwCtrl
	);

VOID
ReportSvcStatus(
	DWORD dwCurrentState,
    DWORD dwWin32ExitCode,
    DWORD dwWaitHint
	);


DWORD
WINAPI
DriverControlThread (
	LPVOID lpParameter
	);

#endif //WINTRUSTPROXYSVC_H